curl --request GET \
--url https://api.flutterwave.com/v3/subaccounts \
--header 'Authorization: Bearer <token>'{
"status": "<string>",
"message": "<string>",
"meta": {
"page_info": {
"total": 158,
"current_page": 1,
"total_pages": 16
}
},
"data": [
{
"id": 2181,
"account_number": "0690000037",
"account_bank": "044",
"business_name": "Eternal Blue",
"full_name": "Ibra Mili",
"created_at": "2020-01-20T06:47:56.000Z",
"meta": [
{
"meta_name": "mem_adr",
"meta_value": "0x16241F327213"
}
],
"account_id": 88747,
"split_ratio": 1,
"split_type": "percentage",
"split_value": 0.5,
"subaccount_id": "RS_9BD2ACE480785E759A16FDE1874A6657",
"bank_name": "ACCESS BANK NIGERIA",
"country": "NG"
}
]
}Fetch all collection subaccount
curl --request GET \
--url https://api.flutterwave.com/v3/subaccounts \
--header 'Authorization: Bearer <token>'{
"status": "<string>",
"message": "<string>",
"meta": {
"page_info": {
"total": 158,
"current_page": 1,
"total_pages": 16
}
},
"data": [
{
"id": 2181,
"account_number": "0690000037",
"account_bank": "044",
"business_name": "Eternal Blue",
"full_name": "Ibra Mili",
"created_at": "2020-01-20T06:47:56.000Z",
"meta": [
{
"meta_name": "mem_adr",
"meta_value": "0x16241F327213"
}
],
"account_id": 88747,
"split_ratio": 1,
"split_type": "percentage",
"split_value": 0.5,
"subaccount_id": "RS_9BD2ACE480785E759A16FDE1874A6657",
"bank_name": "ACCESS BANK NIGERIA",
"country": "NG"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?